Name: autoupdate
Summary: AutoUpdate, a simple perl script to keep your system up2date.
Version: 3.1.5
Release: 1
Vendor: Gerald Teschl <Gerald.Teschl@univie.ac.at>
Copyright: GPL
Group: Applications/System
Buildroot: /var/tmp/%{name}-buildroot
Source: ftp://ftp.mat.univie.ac.at/pub/teschl/%{name}/%{name}-%{version}-%{release}.tar.gz
URL: http://www.mat.univie.ac.at/~gerald/ftp/%{name}/
Requires: perl, perl-libnet, rpm, sh-utils
Prefix: %{_prefix}
BuildArch: noarch

%description
AutoUpdate is a simple Perl script which performs a task similar to RedHat's
up2date or autorpm. It can be used to automatically download and upgrade rpms
from different ftp sites. Moreover, it can also be used to keep a server with
a customized (RedHat) distribution plus all clients up to date.

%package cfg-redhat
Summary: AutoUpdate configuation file for RedHat
Group: Applications/System
Requires: autoupdate
Obsoletes: autoupdate-cfg-powertools

%description cfg-redhat
This package contains a configuration file for using AutoUpdate with
Red Hat Linux.

%package cfg-autoupdate
Summary: AutoUpdate configuation file for AutoUpdate
Group: Applications/System
Requires: autoupdate

%description cfg-autoupdate
This package contains a configuration file for automatical AutoUpdate
updates.

%package cfg-caldera
Summary: AutoUpdate configuation file for Caldera
Group: Applications/System
Requires: autoupdate

%description cfg-caldera
This package contains a configuration file for using AutoUpdate with
Caldera Linux.

%package cfg-mandrake
Summary: AutoUpdate configuation file for Mandrake
Group: Applications/System
Requires: autoupdate

%description cfg-mandrake
This package contains a configuration file for using AutoUpdate with
Linux Mandrake.

%package cfg-suse
Summary: AutoUpdate configuation file for SuSE
Group: Applications/System
Requires: autoupdate

%description cfg-suse
This package contains a configuration file for using AutoUpdate with
SuSE Linux.

%prep            
rm -rf %{buildroot}
%setup -q

%install
mkdir -p %{buildroot}/etc
mkdir -p %{buildroot}%{_var}/{log,spool/autoupdate}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8
touch %{buildroot}%{_var}/log/autoupdate.log
cp autoupdate %{buildroot}%{_sbindir}/autoupdate
cp autoupdate.8.gz %{buildroot}%{_mandir}/man8/autoupdate.8.gz
cp -a autoupdate.d %{buildroot}/etc/
for name in auto{upd,ins,dld,get,mrg,prg}
do
 ln -s autoupdate %{buildroot}%{_sbindir}/$name
 ln -s autoupdate.8.gz %{buildroot}%{_mandir}/man8/$name.8.gz
done


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc LICENSE CHANGELOG index.html
%dir /etc/autoupdate.d/
%config(noreplace) /etc/autoupdate.d/autoupdate.conf
%ghost %{_var}/log/autoupdate.log
/etc/autoupdate.d/distversion.sh
%{_sbindir}/autoupdate
%{_sbindir}/autodld
%{_sbindir}/autoget
%{_sbindir}/autoupd
%{_sbindir}/autoins
%{_sbindir}/automrg
%{_sbindir}/autoprg
%{_mandir}/man8/autoupdate.8*
%{_mandir}/man8/autodld.8*
%{_mandir}/man8/autoget.8*
%{_mandir}/man8/autoupd.8*
%{_mandir}/man8/autoins.8*
%{_mandir}/man8/automrg.8*
%{_mandir}/man8/autoprg.8*
%{_var}/spool/autoupdate

%files cfg-redhat
%config(noreplace) /etc/autoupdate.d/redhat.dld
%config(noreplace) /etc/autoupdate.d/redhat.get
%config(noreplace) /etc/autoupdate.d/powertools.dld

%files cfg-autoupdate
%config(noreplace) /etc/autoupdate.d/autoupdate.dld

%files cfg-caldera
%config(noreplace) /etc/autoupdate.d/caldera.dld

%files cfg-mandrake
%config(noreplace) /etc/autoupdate.d/mandrake.dld

%files cfg-suse
%config(noreplace) /etc/autoupdate.d/suse.dld

%changelog
* Tue May 31 2001 Gerald Teschl <Gerald.Teschl@univie.ac.at>
- rpm rebuild
